pcl::cuda::ComputeCovarianceForPoint Struct Reference

Kernel to compute a ``covariance matrix'' for a single point. More...

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/cuda/common/include/pcl/cuda/common/eigen.h>`

## Public Member Functions

__inline__ __host__ __device__ | ComputeCovarianceForPoint (const float3 &centroid)
__inline__ __host__ __device__ CovarianceMatrix | operator() (const PointXYZRGB &point)

## Public Attributes

float3 | centroid_

## Detailed Description

Kernel to compute a ``covariance matrix'' for a single point.

Definition at line 464 of file eigen.h.

## Constructor & Destructor Documentation

## ComputeCovarianceForPoint()

__inline__ __host__ __device__ pcl::cuda::ComputeCovarianceForPoint::ComputeCovarianceForPoint | ( | const float3 & | centroid | ) |

inline

Definition at line 468 of file eigen.h.

## Member Function Documentation

## operator()()

__inline__ __host__ __device__ CovarianceMatrix pcl::cuda::ComputeCovarianceForPoint::operator() | ( | const PointXYZRGB & | point | ) |

inline

Definition at line 471 of file eigen.h.

References pcl::cuda::CovarianceMatrix::data.

## Member Data Documentation

## centroid_

float3 pcl::cuda::ComputeCovarianceForPoint::centroid_

Definition at line 466 of file eigen.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/cuda/common/include/pcl/cuda/common/eigen.h